|  | Home · All Classes · Modules

# QStyleHintReturnVariant Class Reference
[QtGui module]

The QStyleHintReturnVariant class provides style hints that return a QVariant. More...

Inherits QStyleHintReturn.

### Types

- enum StyleOptionType { Type }
- enum StyleOptionVersion { Version }

### Methods

- __init__ (self)
- __init__ (self, QStyleHintReturnVariant other)

### Members

- QVariant variant

## Detailed Description

The QStyleHintReturnVariant class provides style hints that return a QVariant.

## Type Documentation

### QStyleHintReturnVariant.StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnVariant.Type` | `SH_Variant` | The type of style option provided (SH_Variant for this class).

The type is used internally by QStyleHintReturn, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleHintReturn subclass and your own styles.

See also StyleOptionVersion.

### QStyleHintReturnVariant.StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleHintReturn subclass.

Constant | Value | Description
--- | --- | ---
`QStyleHintReturnVariant.Version` | `1` | 1

The version is used by QStyleHintReturn subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally don't need to check it.

See also StyleOptionType.

## Method Documentation

### QStyleHintReturnVariant.__init__ (self)

Constructs a QStyleHintReturnVariant. The member variables are initialized to default values.

### QStyleHintReturnVariant.__init__ (self, QStyleHintReturnVariant other)

## Member Documentation

### QVariant variant

This variable holds the variant for style hints that return a QVariant.